Subject: Re: bug#43389: 28.0.50; Emacs memory leaks

From: Michael Heerdegen <[email-masked]>
Date: Thu, 10 Dec 2020 01:50:43 +0100

Michael Heerdegen <[email-masked]> writes:

> I think we see different symptoms.  I don't see any slow-down at all
> (unless swapping starts, obviously).  When I do M-x garbage-collect, it
> finishes immediately without freeing an significant amount of memory.

I must correct myself.  While this all was definitely the case the last
time I tried to investigate this issue (one or two months ago) the
garbage-collect statement is not true anymore.  I did M-x
garbage-collect today when the memory was getting short and then Emacs
froze (in the sense of "didn't respond, even to C-g"), without gkrellm
reporting much progress, so I killed it (after 20 seconds or so - aeons
for a computer).

I did not experience a slowdown, however (maybe I've faster RAM?).

Michael.